Skip to content

get_grace

GET
/billing/status-page-grace
curl --request GET \
--url https://api.siteqwality.com/billing/status-page-grace \
--header 'Authorization: Bearer <token>'

OK

Media type application/json
object
pages
required
Array<object>
object
id
required
string
account_id
required
string
friendly_name
required
string
created_at
required
string format: date-time
page_url
required

Where the public page lives: the custom domain once it is active, otherwise the page’s address on statuspage.siteqwality.com.

string
published
required
boolean
grace_until
string | null format: date-time
domains
required
Array<object>
object
status_page_id
required
string format: uuid
domain
required
string
status
required
string
grace_until
string | null format: date-time
detached_at
string | null format: date-time
kept_page_id
string | null format: uuid
page_limit
required
integer format: int64
domain_limit
integer | null format: int64
expires_at
string | null format: date-time
Example generated
{
"pages": [
{
"id": "example",
"account_id": "example",
"friendly_name": "example",
"created_at": "2026-04-15T12:00:00Z",
"page_url": "example",
"published": true,
"grace_until": "2026-04-15T12:00:00Z"
}
],
"domains": [
{
"status_page_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"domain": "example",
"status": "example",
"grace_until": "2026-04-15T12:00:00Z",
"detached_at": "2026-04-15T12:00:00Z"
}
],
"kept_page_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"page_limit": 1,
"domain_limit": 1,
"expires_at": "2026-04-15T12:00:00Z"
}